xsample04a.cpp File Reference

Example: DNA index construction. More...

`#include <iostream>`
`#include <sstream>`
`#include <regex>`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdexcept>`
`#include <memory>`
`#include <vector>`
`#include <future>`
`#include <thread>`
`#include <mutex>`
`#include "bm.h"`
`#include "bmdbg.h"`
`#include "bmtimer.h"`
`#include "bmundef.h"`
Include dependency graph for xsample04a.cpp:

Go to the source code of this file.

## Data Structures

class | DNA_FingerprintScanner
| Utility for keeping all DNA finger print vectors and search using various techniques. More...

## Functions

static void | show_help ()
static int | parse_args (int argc, char *argv[])
static int | load_FASTA (const std::string &fname, std::vector< char > &seq_vect)
static void | fingerprint_compare (const DNA_FingerprintScanner &idx1, const DNA_FingerprintScanner &idx2)
| Check correctness of indexes constructed using different methods.
int | main (int argc, char *argv[])

## Variables

std::string | ifa_name
bool | is_timing = false
unsigned | parallel_jobs = 4
bm::chrono_taker ::duration_map_type | timing_map

## Detailed Description

Example: DNA index construction.

Definition in file xsample04a.cpp.

## Function Documentation

## fingerprint_compare()

void fingerprint_compare | ( | const DNA_FingerprintScanner & | idx1,
|  | const DNA_FingerprintScanner & | idx2 )

static

Check correctness of indexes constructed using different methods.

Examples
  xsample04a.cpp.

Definition at line 398 of file xsample04a.cpp.

References bm::bvector< Alloc >::compare(), and DNA_FingerprintScanner::GetVector().

Referenced by main().

## load_FASTA()

int load_FASTA | ( | const std::string & | fname,
|  | std::vector< char > & | seq_vect )

static

Definition at line 123 of file xsample04a.cpp.

References timing_map.

Referenced by main().

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 417 of file xsample04a.cpp.

References DNA_FingerprintScanner::Build(), DNA_FingerprintScanner::BuildParallel(), bm::chrono_taker< TOut >::ct_all, fingerprint_compare(), ifa_name, is_timing, load_FASTA(), parallel_jobs, parse_args(), bm::chrono_taker< TOut >::print_duration_map(), show_help(), and timing_map.

## parse_args()

int parse_args | ( | int | argc,
|  | char * | argv[] )

static

Definition at line 71 of file xsample04a.cpp.

References ifa_name, is_timing, parallel_jobs, and show_help().

Referenced by main().

## show_help()

void show_help | ( |  | ) |

static

Definition at line 51 of file xsample04a.cpp.

Referenced by main(), and parse_args().

## Variable Documentation

## ifa_name

std::string ifa_name

Definition at line 66 of file xsample04a.cpp.

## is_timing

bool is_timing = false

Definition at line 67 of file xsample04a.cpp.

## parallel_jobs

unsigned parallel_jobs = 4

Examples
  xsample04a.cpp, xsample07.cpp, and xsample07a.cpp.

Definition at line 68 of file xsample04a.cpp.

Referenced by main(), and parse_args().

## timing_map

bm::chrono_taker ::duration_map_type timing_map

Definition at line 119 of file xsample04a.cpp.